<?php  
	include "conexion.php";
    include "insertar_log.php";

	$id_aplicacion = $_GET['id_aplicacion'];


	$sql = "select ";
	$sql .= "tran_transaccion,";
	$sql .= "tran_remota, ";
	$sql .= "id_bomba, ";
	$sql .= "tran_venta ";
	$sql .= "from ";
	$sql .= "bombas ";
	$sql .= "where ";
	$sql .= "operacion_transaccion=3 ";
	$sql .= "and tran_aplicacion=".$id_aplicacion." ";
	$sql .= "order by tran_transaccion,tran_remota limit 1 ";	

	$array = array();

	$resultado = $conexion->query($sql);

    if(!$resultado) 
    {
        $datos = " Error al obtener informacion bomba ";  
        insertarLog($datos,$id_aplicacion);
        echo response(2,"Error al consultar","");
        return;
    }
	
	$cont=0;
    while ($row=$resultado->fetch_assoc())
    {
        $tran_transaccion = $row['tran_venta'];
        $tran_remota = $row['tran_remota'];
        $id_bomba = $row['id_bomba'];
       
        $cont++;
    }

    $resultado->free();

    if($cont==0)
    {       
    	echo response(1,"No existe","");
        return;

    }


    if($tran_transaccion!=0)
    {
    	$transaccion["tipo"]=1;
    	$transaccion["id_transaccion"] =$tran_transaccion;
    }

    if($tran_remota==1)
    {
    	$transaccion["tipo"]=2;
    	$transaccion["id_transaccion"] = $tran_transaccion;
    }





    
    $sql = "update ";
    $sql .= "bombas ";
    $sql .= "set ";
    $sql .= "tran_transaccion=0,";
    $sql .= "tran_remota=0,";
    $sql .= "operacion_transaccion=0 ";
    $sql .= "where ";
    $sql .= "id_bomba=".$id_bomba;

    $resultado = $conexion->query($sql); 

    if($resultado == false)
    {
        $datos = " Error al modificar la bomba ".$id_bomba;  
        insertarLog($datos,$id_aplicacion);
    	echo response(1,"Error al insertar comando","");
        return;
    }
	
     $datos = " Modifico la bomba ".$id_bomba;  
        insertarLog($datos,$id_aplicacion);
    
    $datos = " Termina proceso obtener_fin_transaccion_bt ";  
    insertarLog($datos,$id_aplicacion);
    response(0,"OK",json_encode($transaccion));


    function response($estatus,$estatus_mensaje,$respuesta){
		header("HTTP/1.1".$estatus);

		$response["estatus"]=$estatus;
		$response["estatus_mensaje"]=$estatus_mensaje;
		$response["respuesta"]=$respuesta;
		
		$json_response = json_encode($response, JSON_UNESCAPED_UNICODE);

		echo $json_response;

	}


?>